<!-- 
RSS generated by JIRA (9.4.14#940014-sha1:734e6822bbf0d45eff9af51f82432957f73aa32c) at Sat Feb 10 01:47:34 UTC 2024

It is possible to restrict the fields that are returned in this document by specifying the 'field' parameter in your request.
For example, to request only the issue key and summary append 'field=key&field=summary' to the URL of your request.
-->
<rss version="0.92" >
<channel>
    <title>Whamcloud Community JIRA</title>
    <link>https://jira.whamcloud.com</link>
    <description>This file is an XML representation of an issue</description>
    <language>en-us</language>    <build-info>
        <version>9.4.14</version>
        <build-number>940014</build-number>
        <build-date>05-12-2023</build-date>
    </build-info>


<item>
            <title>[LU-4988] seq_client_rpc()) ASSERTION( exp !=\  ((void *)0) &amp;&amp; !IS_ERR(exp) ) failed</title>
                <link>https://jira.whamcloud.com/browse/LU-4988</link>
                <project id="10000" key="LU">Lustre</project>
                    <description>&lt;div class=&quot;preformatted panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;preformattedContent panelContent&quot;&gt;
&lt;pre&gt;# cd ~/lustre-release
# git describe
2.5.58-48-g72f0d50
# git diff
diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index e2034b8..536cda5 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -12411,6 +12411,10 @@ test_striped_dir() {
        local stripe_count
        local stripe_index

+       cleanup || exit 23
+       setup || exit 42
+       set -x
+
        mkdir -p $DIR/$tdir
        $LFS setdirstripe -i $mdt_index -c 2 -t all_char $DIR/$tdir/striped_dir ||
                error &quot;set striped dir error&quot;
# export MDSCOUNT=4
# llmount.sh
...
# ONLY=300a sh lustre/tests/sanity.sh
Logging to shared log directory: /tmp/test_logs/1398913203
t: Checking config lustre mounted on /mnt/lustre
Checking servers environments
Checking clients t environments
Using TIMEOUT=20
disable quota as required
osd-ldiskfs.track_declares_assert=1
running as uid/gid/euid/egid 500/500/500/500, groups:
 [touch] [/mnt/lustre/d0_runas_test/f26079]
excepting tests: 76 42a 42b 42c 42d 45 51d 68b
skipping tests SLOW=no: 24o 27m 64b 68 71 77f 78 115 124b 230d
preparing for tests involving mounts
mke2fs 1.42.7.wc2 (07-Nov-2013)

debug=-1
resend_count is set to 4 4
resend_count is set to 4 4
resend_count is set to 4 4
resend_count is set to 4 4
resend_count is set to 4 4

== sanity test 300a: basic striped dir sanity test == 22:00:09 (1398913209)
cln..Stopping clients: t /mnt/lustre (opts:)
Stopping client t /mnt/lustre opts:
Stopping clients: t /mnt/lustre2 (opts:)
Stopping /mnt/mds1 (opts:-f) on t
Stopping /mnt/mds2 (opts:-f) on t
Stopping /mnt/mds3 (opts:-f) on t
Stopping /mnt/mds4 (opts:-f) on t
Stopping /mnt/ost1 (opts:-f) on t
Stopping /mnt/ost2 (opts:-f) on t
waited 0 for 31 ST ost OSS OSS_uuid 0
modules unloaded.
mnt..Loading modules from /root/lustre-release/lustre
detected 4 online CPUs by sysfs
Force libcfs to create 2 CPU partitions
../libcfs/libcfs/libcfs options: &apos;cpu_npartitions=2&apos;
debug=vfstrace rpctrace dlmtrace neterror ha config ioctl super
subsystem_debug=all -lnet -lnd -pinger
gss/krb5 is not supported
quota/lquota options: &apos;hash_lqs_cur_bits=3&apos;
Checking servers environments
Checking clients t environments
Loading modules from /root/lustre-release/lustre
detected 4 online CPUs by sysfs
Force libcfs to create 2 CPU partitions
debug=vfstrace rpctrace dlmtrace neterror ha config ioctl super
subsystem_debug=all -lnet -lnd -pinger
gss/krb5 is not supported
Setup mgs, mdt, osts
Starting mds1:   -o loop /tmp/lustre-mdt1 /mnt/mds1
Started lustre-MDT0000
Starting mds2:   -o loop /tmp/lustre-mdt2 /mnt/mds2
Started lustre-MDT0001
Starting mds3:   -o loop /tmp/lustre-mdt3 /mnt/mds3
Started lustre-MDT0002
Starting mds4:   -o loop /tmp/lustre-mdt4 /mnt/mds4
Started lustre-MDT0003
Starting ost1:   -o loop /tmp/lustre-ost1 /mnt/ost1
Started lustre-OST0000
Starting ost2:   -o loop /tmp/lustre-ost2 /mnt/ost2
Started lustre-OST0001
Starting client: t: -o user_xattr,flock t@tcp:/lustre /mnt/lustre
Starting client t: -o user_xattr,flock t@tcp:/lustre /mnt/lustre
Started clients t:
t@tcp:/lustre on /mnt/lustre type lustre (rw,user_xattr,flock)
Using TIMEOUT=20
disable quota as required
done
+ mkdir -p /mnt/lustre/d300a.sanity
+ /root/lustre-release/lustre/utils/lfs setdirstripe -i 0 -c 2 -t all_char /mnt/lustre/d3\
00a.sanity/striped_dir

Message from syslogd@t at Apr 30 22:01:18 ...
 kernel:[ 1468.977712] LustreError: 29243:0:(fid_request.c:72:seq_client_rpc()) ASSERTION\
( exp != ((void *)0) &amp;amp;&amp;amp; !IS_ERR(exp) ) failed:

Message from syslogd@t at Apr 30 22:01:18 ...
 kernel:[ 1468.981246] LustreError: 29243:0:(fid_request.c:72:seq_client_rpc()) LBUG


[ 1468.977712] LustreError: 29243:0:(fid_request.c:72:seq_client_rpc()) ASSERTION( exp !=\
 ((void *)0) &amp;amp;&amp;amp; !IS_ERR(exp) ) failed:
[ 1468.981246] LustreError: 29243:0:(fid_request.c:72:seq_client_rpc()) LBUG
[ 1468.982681] Pid: 29243, comm: mdt00_002
[ 1468.983420]
[ 1468.983421] Call Trace:
[ 1468.984216]  [&amp;lt;ffffffffa0a498c5&amp;gt;] libcfs_debug_dumpstack+0x55/0x80 [libcfs]
[ 1468.985536]  [&amp;lt;ffffffffa0a49ec7&amp;gt;] lbug_with_loc+0x47/0xb0 [libcfs]
[ 1468.986732]  [&amp;lt;ffffffffa029a28d&amp;gt;] seq_client_rpc+0x7cd/0x940 [fid]
[ 1468.987922]  [&amp;lt;ffffffff810b777d&amp;gt;] ? trace_hardirqs_on+0xd/0x10
[ 1468.989032]  [&amp;lt;ffffffffa029a817&amp;gt;] seq_client_alloc_seq+0x417/0x490 [fid]
[ 1468.990321]  [&amp;lt;ffffffffa0299443&amp;gt;] ? seq_fid_alloc_prep+0x43/0xc0 [fid]
[ 1468.991553]  [&amp;lt;ffffffffa029ad2f&amp;gt;] seq_client_alloc_fid+0xef/0x490 [fid]
[ 1468.992803]  [&amp;lt;ffffffff81067bc0&amp;gt;] ? default_wake_function+0x0/0x20
[ 1468.993987]  [&amp;lt;ffffffff81538b40&amp;gt;] ? kmemleak_alloc+0x20/0xd0
[ 1468.995069]  [&amp;lt;ffffffffa09b57d2&amp;gt;] osp_fid_alloc+0xe2/0xf0 [osp]
[ 1468.996194]  [&amp;lt;ffffffffa02f9b0a&amp;gt;] lod_declare_xattr_set_lmv+0x7ba/0x1a30 [lod]
[ 1468.997556]  [&amp;lt;ffffffffa02ec221&amp;gt;] ? lod_ea_store_resize+0x1e1/0x7e0 [lod]
[ 1468.998841]  [&amp;lt;ffffffffa03001af&amp;gt;] lod_dir_striping_create_internal+0x24f/0x12d0 [lod]
[ 1469.000315]  [&amp;lt;ffffffffa03016e7&amp;gt;] lod_declare_object_create+0x227/0x390 [lod]
[ 1469.001685]  [&amp;lt;ffffffffa096eb54&amp;gt;] mdd_declare_object_create_internal+0xb4/0x1e0 [mdd]
[ 1469.003158]  [&amp;lt;ffffffffa09632e3&amp;gt;] mdd_create+0x813/0x18a0 [mdd]
[ 1469.004325]  [&amp;lt;ffffffffa03b0355&amp;gt;] ? lustre_msg_buf+0x55/0x60 [ptlrpc]
[ 1469.005591]  [&amp;lt;ffffffffa0d1ec43&amp;gt;] mdt_reint_create+0xac3/0xfa0 [mdt]
[ 1469.006807]  [&amp;lt;ffffffffa0d1621c&amp;gt;] ? mdt_root_squash+0x2c/0x410 [mdt]
[ 1469.008059]  [&amp;lt;ffffffffa03d7ca6&amp;gt;] ? __req_capsule_get+0x166/0x6e0 [ptlrpc]
[ 1469.009398]  [&amp;lt;ffffffffa03b138e&amp;gt;] ? lustre_pack_reply_flags+0xae/0x1f0 [ptlrpc]
[ 1469.010800]  [&amp;lt;ffffffffa0d1a151&amp;gt;] mdt_reint_rec+0x41/0xe0 [mdt]
[ 1469.011938]  [&amp;lt;ffffffffa0cffdc3&amp;gt;] mdt_reint_internal+0x4c3/0x7c0 [mdt]
[ 1469.013179]  [&amp;lt;ffffffffa0d0064b&amp;gt;] mdt_reint+0x6b/0x120 [mdt]
[ 1469.014309]  [&amp;lt;ffffffffa0412155&amp;gt;] tgt_request_handle+0x245/0xad0 [ptlrpc]
[ 1469.015625]  [&amp;lt;ffffffffa03c2701&amp;gt;] ptlrpc_main+0xce1/0x1970 [ptlrpc]
[ 1469.016861]  [&amp;lt;ffffffffa03c1a20&amp;gt;] ? ptlrpc_main+0x0/0x1970 [ptlrpc]
[ 1469.018074]  [&amp;lt;ffffffff8109eab6&amp;gt;] kthread+0x96/0xa0
[ 1469.019005]  [&amp;lt;ffffffff8100c30a&amp;gt;] child_rip+0xa/0x20
[ 1469.019954]  [&amp;lt;ffffffff81554710&amp;gt;] ? _spin_unlock_irq+0x30/0x40
[ 1469.021053]  [&amp;lt;ffffffff8100bb10&amp;gt;] ? restore_args+0x0/0x30
[ 1469.022096]  [&amp;lt;ffffffff8109ea20&amp;gt;] ? kthread+0x0/0xa0
[ 1469.023040]  [&amp;lt;ffffffff8100c300&amp;gt;] ? child_rip+0x0/0x20
[ 1469.024022]
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;</description>
                <environment></environment>
        <key id="24516">LU-4988</key>
            <summary>seq_client_rpc()) ASSERTION( exp !=\  ((void *)0) &amp;&amp; !IS_ERR(exp) ) failed</summary>
                <type id="1" iconUrl="https://jira.whamcloud.com/secure/viewavatar?size=xsmall&amp;avatarId=11303&amp;avatarType=issuetype">Bug</type>
                                            <priority id="4" iconUrl="https://jira.whamcloud.com/images/icons/priorities/minor.svg">Minor</priority>
                        <status id="5" iconUrl="https://jira.whamcloud.com/images/icons/statuses/resolved.png" description="A resolution has been taken, and it is awaiting verification by reporter. From here issues are either reopened, or are closed.">Resolved</status>
                    <statusCategory id="3" key="done" colorName="success"/>
                                    <resolution id="3">Duplicate</resolution>
                                        <assignee username="di.wang">Di Wang</assignee>
                                    <reporter username="jhammond">John Hammond</reporter>
                        <labels>
                            <label>dne2</label>
                    </labels>
                <created>Thu, 1 May 2014 03:09:13 +0000</created>
                <updated>Thu, 1 May 2014 12:03:28 +0000</updated>
                            <resolved>Thu, 1 May 2014 05:51:07 +0000</resolved>
                                    <version>Lustre 2.6.0</version>
                                                        <due></due>
                            <votes>0</votes>
                                    <watches>2</watches>
                                                                            <comments>
                            <comment id="82966" author="di.wang" created="Thu, 1 May 2014 04:44:00 +0000"  >&lt;p&gt;seems duplicate with &lt;a href=&quot;https://jira.whamcloud.com/browse/LU-4850&quot; title=&quot;DNE Striped Directory - Changing default striping only works on MDT0&quot; class=&quot;issue-link&quot; data-issue-key=&quot;LU-4850&quot;&gt;&lt;del&gt;LU-4850&lt;/del&gt;&lt;/a&gt;. I suspect &lt;a href=&quot;http://review.whamcloud.com/#/c/9883&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/#/c/9883&lt;/a&gt; should fix this problem.&lt;/p&gt;</comment>
                            <comment id="82967" author="di.wang" created="Thu, 1 May 2014 05:50:17 +0000"  >&lt;p&gt;Just test it, &lt;a href=&quot;http://review.whamcloud.com/#/c/9883&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/#/c/9883&lt;/a&gt; should fix the problem. And also added this test case in 9883. I will close this for now. &lt;/p&gt;</comment>
                            <comment id="82968" author="di.wang" created="Thu, 1 May 2014 05:51:08 +0000"  >&lt;p&gt;duplicate with &lt;a href=&quot;https://jira.whamcloud.com/browse/LU-4850&quot; title=&quot;DNE Striped Directory - Changing default striping only works on MDT0&quot; class=&quot;issue-link&quot; data-issue-key=&quot;LU-4850&quot;&gt;&lt;del&gt;LU-4850&lt;/del&gt;&lt;/a&gt;&lt;/p&gt;</comment>
                    </comments>
                    <attachments>
                    </attachments>
                <subtasks>
                    </subtasks>
                <customfields>
                                                                                                                                                                                            <customfield id="customfield_10890" key="com.atlassian.jira.plugins.jira-development-integration-plugin:devsummary">
                        <customfieldname>Development</customfieldname>
                        <customfieldvalues>
                            
                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        <customfield id="customfield_10390" key="com.pyxis.greenhopper.jira:gh-lexo-rank">
                        <customfieldname>Rank</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>1|hzwljj:</customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                <customfield id="customfield_10090" key="com.pyxis.greenhopper.jira:gh-global-rank">
                        <customfieldname>Rank (Obsolete)</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>13816</customfieldvalue>
                        </customfieldvalues>
                    </customfield>
                                                                                            <customfield id="customfield_10060" key="com.atlassian.jira.plugin.system.customfieldtypes:select">
                        <customfieldname>Severity</customfieldname>
                        <customfieldvalues>
                                <customfieldvalue key="10022"><![CDATA[3]]></customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        </customfields>
    </item>
</channel>
</rss>